[arch-commits] Commit in beagle/repos (4 files)

Jan de Groot jgc at archlinux.org
Sun May 10 14:28:22 UTC 2009


    Date: Sunday, May 10, 2009 @ 10:28:22
  Author: jgc
Revision: 38811

Merged revisions 38810 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/beagle/trunk

........
  r38810 | jgc | 2009-05-10 14:28:04 +0000 (Sun, 10 May 2009) | 1 line
  
  upgpkg: beagle 0.3.9-1
........

Added:
  beagle/repos/extra-x86_64/beagle-0.3.9-spew.patch
    (from rev 38810, beagle/trunk/beagle-0.3.9-spew.patch)
Modified:
  beagle/repos/extra-x86_64/	(properties)
  beagle/repos/extra-x86_64/PKGBUILD
Deleted:
  beagle/repos/extra-x86_64/beagle-0.2.1-spew.patch

-------------------------+
 PKGBUILD                |   20 ++++++++++----------
 beagle-0.2.1-spew.patch |   32 --------------------------------
 beagle-0.3.9-spew.patch |   12 ++++++++++++
 3 files changed, 22 insertions(+), 42 deletions(-)


Property changes on: beagle/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /beagle/trunk:1-22071
   + /beagle/trunk:1-38810

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-10 14:28:04 UTC (rev 38810)
+++ extra-x86_64/PKGBUILD	2009-05-10 14:28:22 UTC (rev 38811)
@@ -2,31 +2,31 @@
 # Maintainer: Daniel Isenmann <daniel @ archlinux.org>
 # Contributor: Shadowhand <woody.gilk at gmail.com>
 pkgname=beagle
-pkgver=0.3.8
-pkgrel=2
+pkgver=0.3.9
+pkgrel=1
 pkgdesc="Search tool that ransacks your personal information space"
 arch=(i686 x86_64)
 url="http://www.gnome.org/projects/beagle/"
 license=('custom')
-depends=('gnome-sharp>=2.24.0' 'gmime>=2.2.18' 'evolution-sharp>=0.18.1' 'libexif' 'librsvg>=2.22.2' 'sqlite3' 'libxss' 'wv>=1.2.4' 'chmlib' 'gsf-sharp>=0.8.1' 'libsm' 'xdg-utils' 'ndesk-dbus-glib' 'mono>=2.0' 'taglib-sharp')
-makedepends=('perlxml' 'zip' 'pkgconfig')
+depends=('gnome-sharp>=2.24.1' 'gmime>=2.2.21' 'evolution-sharp>=0.20.0' 'libexif' 'librsvg>=2.26.0' 'sqlite3>=3.6.13' 'libxss' 'wv>=1.2.4' 'chmlib' 'gsf-sharp>=0.8.1' 'libsm' 'xdg-utils' 'ndesk-dbus-glib' 'mono>=2.4' 'taglib-sharp')
+makedepends=('intltool' 'zip' 'pkgconfig')
 options=('!libtool')
 backup=('etc/beagle/crawl-applications' 'etc/beagle/crawl-documentation'
         'etc/beagle/crawl-windows')
 install=beagle.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/0.3/${pkgname}-${pkgver}.tar.bz2
-	beagle-0.2.1-spew.patch)
-md5sums=('fcafad26efa65a3bf06a019268ae6230'
-         '74feeb60c70999db8895b3a9d260869a')
+	beagle-0.3.9-spew.patch)
+md5sums=('b73c12423d2d67133dbb05933f4c8fe1'
+	 '003ada7acc2724e94e0218e4a6705b4a')
 
 build() {
-  export MONO_SHARED_DIR=${startdir}/src/.wabi
-  mkdir -p ${MONO_SHARED_DIR}
+  export "MONO_SHARED_DIR=${srcdir}/.wabi"
+  mkdir -p "${MONO_SHARED_DIR}"
 
   cd "${srcdir}/${pkgname}-${pkgver}"
   sed -i -e 's/CRAWL_USER=beagleindex/CRAWL_USER=beaglidx/' tools/beagle-crawl-system.in || return 1
   sed -i -e 's/libchm.so.1/libchm.so.0/' Util/ChmFile.cs || return 1
-  patch -Np1 -i "${srcdir}/beagle-0.2.1-spew.patch" || return 1
+  patch -Np1 -i "${srcdir}/beagle-0.3.9-spew.patch" || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
 	--enable-inotify \

Deleted: extra-x86_64/beagle-0.2.1-spew.patch
===================================================================
--- extra-x86_64/beagle-0.2.1-spew.patch	2009-05-10 14:28:04 UTC (rev 38810)
+++ extra-x86_64/beagle-0.2.1-spew.patch	2009-05-10 14:28:22 UTC (rev 38811)
@@ -1,32 +0,0 @@
---- beagle-0.2.1/beagled/IndexHelper/IndexHelper.cs.spew	2006-02-24 01:19:59.000000000 -0500
-+++ beagle-0.2.1/beagled/IndexHelper/IndexHelper.cs	2006-02-24 01:43:33.000000000 -0500
-@@ -59,16 +59,13 @@
- 			bool run_by_hand = (Environment.GetEnvironmentVariable ("BEAGLE_RUN_HELPER_BY_HAND") != null);
- 			bool log_in_fg = (Environment.GetEnvironmentVariable ("BEAGLE_LOG_IN_THE_FOREGROUND_PLEASE") != null);
- 			
--			// FIXME: We always turn on full debugging output!  We are still
--			// debugging this code, after all...
--			//bool debug = (Environment.GetEnvironmentVariable ("BEAGLE_DEBUG_FLAG_IS_SET") != null);
-+			bool debug = (Environment.GetEnvironmentVariable ("BEAGLE_DEBUG_FLAG_IS_SET") != null);
- 
- 			last_activity = DateTime.Now;
- 
- 			Log.Initialize (PathFinder.LogDir,
- 					"IndexHelper",
--					//debug ? LogLevel.Debug : LogLevel.Warn,
--					LogLevel.Debug,
-+					debug ? LogLevel.Debug : LogLevel.Error,
- 					run_by_hand || log_in_fg);
- 
- 			Application.InitCheck ("IndexHelper", ref args);
---- beagle-0.3.2/beagled/BeagleDaemon.cs	2008-01-03 19:06:36.000000000 +0100
-+++ beagle-0.3.2/beagled/BeagleDaemon.cs_new	2008-01-03 19:13:44.000000000 +0100
-@@ -455,7 +455,7 @@
- 			// debugging this code, after all...
- 			// arg_debug ? LogLevel.Debug : LogLevel.Warn
- 			
--			Log.Initialize (PathFinder.LogDir, "Beagle", LogLevel.Debug, arg_fg);
-+			Log.Initialize (PathFinder.LogDir, "Beagle", arg_debug ? LogLevel.Debug : LogLevel.Error, arg_fg);
- 			Log.Always ("Starting Beagle Daemon (version {0})", ExternalStringsHack.Version);
- 			Log.Always ("Running on {0}", SystemInformation.MonoRuntimeVersion);
- 			Log.Always ("Command Line: {0}",

Copied: beagle/repos/extra-x86_64/beagle-0.3.9-spew.patch (from rev 38810, beagle/trunk/beagle-0.3.9-spew.patch)
===================================================================
--- extra-x86_64/beagle-0.3.9-spew.patch	                        (rev 0)
+++ extra-x86_64/beagle-0.3.9-spew.patch	2009-05-10 14:28:22 UTC (rev 38811)
@@ -0,0 +1,12 @@
+diff -upNr beagle-0.3.9.orign/beagled/BeagleDaemon.cs beagle-0.3.9/beagled/BeagleDaemon.cs
+--- beagle-0.3.9.orign/beagled/BeagleDaemon.cs	2008-06-11 20:42:20.000000000 +0200
++++ beagle-0.3.9/beagled/BeagleDaemon.cs	2009-01-31 12:44:23.000000000 +0100
+@@ -456,7 +456,7 @@ namespace Beagle.Daemon {
+ 			// debugging this code, after all...
+ 			// arg_debug ? LogLevel.Debug : LogLevel.Warn
+ 			
+-			Log.Initialize (PathFinder.LogDir, "Beagle", LogLevel.Debug, arg_fg);
++			Log.Initialize (PathFinder.LogDir, "Beagle", arg_debug ? LogLevel.Debug : LogLevel.Warn, arg_fg);
+ 			Log.Always ("Starting Beagle Daemon (version {0})", ExternalStringsHack.Version);
+ 			Log.Always ("Running on {0}", SystemInformation.MonoRuntimeVersion);
+ 			Log.Always ("Command Line: {0}",




More information about the arch-commits mailing list